[SciPy-User] Trouble installing scipy after upgrading to Mac OS X 10.7 aka Lion

Bill Carithers wccarithers@lbl....
Wed Aug 10 15:47:16 CDT 2011


Hi all,

When I upgraded to Lion, it wiped out my previous Python2.6 site-packages,
including scipy-0.7.1. Now I¹m trying to re-install the latest scipy from
svn in the Python2.7 supplied from Apple. After reading the installation
instructions, I followed the recommendation to use the fortran compiler (Gnu
Fortran 4.2.4 for Lion) from http://r.research.att.com/tools/ which
installed in Xcode 4.1. (Actually, I¹m a little confused by this since, even
though the installation said it succeeded, I couldn¹t find it. Also when I
did ³gfortran ­version² from the command line, it returned
³i686-apple-darwin11-gfortran-4.2.1: no input files².)

When I tried to build and install with ³sudo python setup.py install², it
was humming along until it got to ARPACK the exited with exit status 1. It
looks to my untrained eye as if it failed when trying to compile
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c: The
terminal output for this portion of the build is appended below.

Another question... Mac OS X 10.7 has an Accelerator for vecLib that
includes a built-in BLAS/ATLAS. Shouldn¹t the build be using this? How do I
tell it where to find it?

Any ideas on how to fix this?

Thanks.

creating build/temp.macosx-10.7-intel-2.7/scipy/sparse/linalg/eigen
creating build/temp.macosx-10.7-intel-2.7/scipy/sparse/linalg/eigen/arpack
creating 
build/temp.macosx-10.7-intel-2.7/scipy/sparse/linalg/eigen/arpack/ARPACK
creating 
build/temp.macosx-10.7-intel-2.7/scipy/sparse/linalg/eigen/arpack/ARPACK/FWR
APPERS
compile options: '-Iscipy/sparse/linalg/eigen/arpack/ARPACK/SRC
-I/Library/Python/2.7/site-packages/numpy-1.6.1-py2.7-macosx-10.7-intel.egg/
numpy/core/include -c'
llvm-gcc-4.2: 
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:4:
warning: type defaults to Œint¹ in declaration of Œcomplex¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:4: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œfloat¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:10:
warning: type defaults to Œint¹ in declaration of Œcomplex¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:10: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œfloat¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:16: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œ*¹ token
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:21: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œ*¹ token
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:4:
warning: type defaults to Œint¹ in declaration of Œcomplex¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:4: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œfloat¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:10:
warning: type defaults to Œint¹ in declaration of Œcomplex¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:10: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œfloat¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:16: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œ*¹ token
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:21: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œ*¹ token
lipo: can't open input file: /var/tmp//ccBUPGd0.out (No such file or
directory)
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:4:
warning: type defaults to Œint¹ in declaration of Œcomplex¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:4: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œfloat¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:10:
warning: type defaults to Œint¹ in declaration of Œcomplex¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:10: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œfloat¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:16: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œ*¹ token
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:21: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œ*¹ token
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:4:
warning: type defaults to Œint¹ in declaration of Œcomplex¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:4: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œfloat¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:10:
warning: type defaults to Œint¹ in declaration of Œcomplex¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:10: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œfloat¹
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:16: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œ*¹ token
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c:21: error:
expected Œ;¹, Œ,¹ or Œ)¹ before Œ*¹ token
lipo: can't open input file: /var/tmp//ccBUPGd0.out (No such file or
directory)
error: Command "llvm-gcc-4.2 -fno-strict-aliasing -fno-common -dynamic -g
-Os -pipe -fno-common -fno-strict-aliasing -fwrapv -mno-fused-madd
-DENABLE_DTRACE -DMACOSX -DNDEBUG -Wall -Wstrict-prototypes
-Wshorten-64-to-32 -DNDEBUG -g -fwrapv -Os -Wall -Wstrict-prototypes
-DENABLE_DTRACE -arch i386 -arch x86_64 -pipe
-Iscipy/sparse/linalg/eigen/arpack/ARPACK/SRC
-I/Library/Python/2.7/site-packages/numpy-1.6.1-py2.7-macosx-10.7-intel.egg/
numpy/core/include -c
scipy/sparse/linalg/eigen/arpack/ARPACK/FWRAPPERS/veclib_cabi_c.c -o
build/temp.macosx-10.7-intel-2.7/scipy/sparse/linalg/eigen/arpack/ARPACK/FWR
APPERS/veclib_cabi_c.o" failed with exit status 1
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/scipy-user/attachments/20110810/f3bfb58a/attachment.html 


More information about the SciPy-User mailing list